types.hpp File Reference

Include the definitions of all proton types used to represent AMQP types. More...

`#include "./annotation_key.hpp"`
`#include "./binary.hpp"`
`#include "./codec/deque.hpp"`
`#include "./codec/list.hpp"`
`#include "./codec/map.hpp"`
`#include "./codec/vector.hpp"`
`#include "./internal/config.hpp"`
`#include "./decimal.hpp"`
`#include "./duration.hpp"`
`#include "./message_id.hpp"`
`#include "./scalar.hpp"`
`#include "./symbol.hpp"`
`#include "./timestamp.hpp"`
`#include "./types_fwd.hpp"`
`#include "./uuid.hpp"`
`#include "./value.hpp"`
Include dependency graph for types.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

Include the definitions of all proton types used to represent AMQP types.